# 32/64bit spec-file
# import to pclinuxos by <Daniel Meiß-Wilhelm> on <01.27.2014>
# LXFreeTV Copyright by Daniel Meiß-Wilhelm
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)

%define prefix 	/usr
%define name	lxfreetv
%define version 15.04.19
%define release %mkrel 1
%define url	http://kellerleiche.bplaced.net/index/lxfreetv.html

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL2
Group:			Video
URL:			%{url}
Source:			%name.tar.xz
BuildArch:		noarch
Summary:		LXFreeTV-Streams plays TV-Streams from Web
Summary(de):		LXFreeTV-Streams spielt TV-Streams vom Web
BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:		yad, ffmpeg, grep, gtkdialog, parallel, mediainfo
Requires:		xterm, gnome-icon-theme, vlc
Obsoletes:		%name < %version

%description
%summary
Intergrated editor to add own urls.

#german
%description -l de
%summary
Intergriert ein Editor um eigene URLS zu nutzen.

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README pot/%{name}.gui.pot pot/en.po
%{_bindir}/%{name}.sh
%{_bindir}/%{name}-tmp_manager.sh
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-tmp_manager.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.gui
%{_datadir}/%{name}/channel
%{_datadir}/%{name}/clean
%{_datadir}/%{name}/channel_editor
%{_datadir}/%{name}/about
%{_datadir}/%{name}/tmp_manager
%{_datadir}/%{name}/settings
# translations
%{_datadir}/locale/en/LC_MESSAGES/%{name}.gui.mo
# icons
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
#________________________________ build area _________________________________

%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT
#launcher
install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/%{name}.sh << EOF
# simple launcher for %{name}.sh
#
%{_datadir}/%{name}/%{name}.gui
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/%{name}.sh

#launcher for tmp-manager
cat > %{buildroot}%{_bindir}/%{name}-tmp_manager.sh << EOF
# simple launcher for %{name}-TMP-Manager
#
%{_datadir}/%{name}/tmp_manager
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/%{name}-tmp_manager.sh

#desktop starter
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=LXFreeTV
Exec=%{name}.sh
Icon=%{name}
Terminal=false
Type=Application
Categories=Application;X-MandrivaLinux-Multimedia-Sound;Video;
Encoding=UTF-8
EOF
#---------------------- starter for tmp-manager ----------------------------
cat > %{buildroot}%{_datadir}/applications/%{name}-tmp_manager.desktop << EOF
[Desktop Entry]
Name=LXFreeTV-TMP-Manager
Exec=%{name}-tmp_manager.sh
Icon=%{name}
Terminal=false
Type=Application
Categories=Application;X-MandrivaLinux-Multimedia-Sound;Video;
Encoding=UTF-8
EOF


install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}
cp -a lxfreetv $RPM_BUILD_ROOT%{_datadir}/
%__chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lxfreetv.gui 
%__chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/clean 
%__chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/channel_editor 
%__chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/about 
%__chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/tmp_manager 
%__chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/settings
%__chmod 644 $RPM_BUILD_ROOT%{_datadir}/%{name}/channel 
#icon Symbol
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/
convert icons/%{name}.png -resize 32x32 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
convert icons/%{name}.png -resize 16x16 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
convert icons/%{name}.png -resize 48x48 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m 644 icons/%{name}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps 
install -m 644 icons/%{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/en/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/en/LC_MESSAGES/%{name}.gui.mo $RPM_BUILD_DIR/%{name}/pot/en.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}

#_________________________ changelog __________________________________________
%changelog
* Sun Apr 15 2015 daniel <meisssw01 at gmail.com> 15.04.19-1pclos2015
- changed against capture function to flv container

* Wed Apr 08 2015 daniel <meisssw01 at gmail.com> 15.04.08-1pclos2015
- changed capture function to ffmpeg, against
- add stop function for playback

* Sun Jan 25 2015 daniel <meisssw01 at gmail.com> 15.01.25-1pclos2015
- add cvlc for capture streams, and display live streams

* Sun Jan 11 2015 daniel <meisssw01 at gmail.com> 15.01.11-1pclos2015
- bug in tmp manager fixed

* Mon Jan 05 2015 daniel <meisssw01 at gmail.com> 15.01.05-1pclos2015
- Capture function fixed
- channel list update

* Sat Feb 15 2014 daniel <meisssw01 at gmail.com> 14.02.15-1free2014
- add function to check url in editor
- add function to restart GUI to use 
  new channel list
- add function to use own player in
  tmp-manager
- fix output bug in tmp-manager (Just17)
- add English translation (Just17)

* Tue Feb 04 2014 daniel <meisssw01 at gmail.com> 14.02.04-1free2014
- fix stop function for xterm (2) 
  Request by Just17
- fix stop button
- add current EN translation by Just17
- add recording time
- settings dialog
- add function to use a own tmp directory
- fix some other issues

* Sat Feb 01 2014 daniel <meisssw01 at gmail.com> 14.02.01-1free2014
- fix no channel issues on playback (2)
- add icon (Artwork by Ken)
- add starter for tmp-manager
- fix record funktion
- add mediainfo on tmp_manager
- add menu on tmp_manager
- add dialog when no file, channel is 
  selected

* Fri Jan 31 2014 daniel <meisssw01 at gmail.com> 14.01.31-1free2014
- fix translation issues in about dialog (Just17) (2)
- add -re option (2)
- add en translation (Just17) (2)
- add tmp-manager
- fix some little bugs on translation
- rewrite about dialog
- move wrop mode on editor
- rewrite first start issues

* Thu Jan 30 2014 daniel <meisssw01 at gmail.com> 14.01.30-1free2014
- fix translation issues on clean dialog
- add debug mode
- some bug fixes (2)
- update channel list (generated by Revoluz) (2)

* Wed Jan 29 2014 daniel <meisssw01 at gmail.com> 14.01.29-2free2014
- rename GUI as lxfreetv

* Wed Jan 29 2014 daniel <meisssw01 at gmail.com> 14.01.29-1free2014
- change GUI, based on gtkdialog now

* Tue Jan 28 2014 daniel <meisssw01 at gmail.com> 14.01.28-1free2014
- update

* Mon Jan 27 2014 daniel <meisssw01 at gmail.com> 14.01.27-1free2014
- initial pkg
